image: gcc

compile:
  stage: build
  script: 
    - echo "Building started"
    - mkdir build 
    - g++ hello.cpp -o build/run
    - echo "Building finished"
  artifacts: 
      paths:
          - build/

check_file_exist: 
  stage: test
  script: 
    - echo "test started"
    - ./build/run
    - test -f ./output.txt && echo "file exists"
    - echo "test finished"


